%global __requires_exclude python-gi

Summary:	D-Bus Python Bindings
Name:		dbus-python
Version:	1.2.4
Release:	%mkrel 3
URL:		http://www.freedesktop.org/wiki/Software/DBusBindings
Source0:	http://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Source1:	http://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz.asc
License:	MIT
Group:		Development/Python
BuildRequires:	pkgconfig(dbus-1) >= 1.6
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(python2)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python-gobject3
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	dbus-x11
BuildRequires:	python-setuptools
BuildRequires:	python3-setuptools

%description
D-Bus python bindings for use with python programs.

%package -n python-dbus
Summary: D-Bus Python Bindings
Group: Development/Python
Obsoletes: %{name} < %{version}-%{release}
Provides: %{name} = %{version}-%{release}
Requires: dbus >= 1.6
Requires: python-gi

%description -n python-dbus
D-Bus python bindings for use with python programs.

%package -n python3-dbus
Summary: D-Bus Python3 Bindings
Group: Development/Python
Obsoletes: dbus-python3 < %{version}-%{release}
Provides: dbus-python3 = %{version}-%{release}
Requires: dbus >= 1.6
Requires: python3-gobject3

%description -n python3-dbus
D-Bus python bindings for use with python3 programs.

%package -n python-dbus-devel
Summary: Development files for python-dbus and python3-dbus
Group: Development/Python
Requires: python-dbus = %{version}
Conflicts: python-dbus < 1.2.0-2

%description -n python-dbus-devel
Header files for python-dbus and python3-dbus.

%prep
%setup -q
%autopatch -p1

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install
mkdir -p %{buildroot}%{_libdir}/pkgconfig/
install -p -m 0644 build/temp.linux-*-%{python2_version}/dbus-python.pc %{buildroot}%{_libdir}/pkgconfig/
sed -i 's\prefix=.*\prefix=/usr\g' %{buildroot}%{_libdir}/pkgconfig/dbus-python.pc
mkdir -p %{buildroot}%{_includedir}/dbus-1.0/dbus/
install -p -m 0444 include/dbus/dbus-python.h %{buildroot}%{_includedir}/dbus-1.0/dbus/

pushd %{py3dir}
%py3_install
popd

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/dbus-python
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%check
%configure2_5x --disable-api-docs PYTHON=%{__python2}
make test

pushd %{py3dir}
%configure2_5x --disable-api-docs PYTHON=%{__python3}
make check
popd

%files -n python-dbus
%doc README NEWS doc/*.txt
%{python2_sitearch}/dbus*
%{python2_sitearch}/_dbus_*

%files -n python3-dbus
%doc README NEWS doc/*.txt
%{python3_sitearch}/dbus*
%{python3_sitearch}/_dbus_*

%files -n python-dbus-devel
%{_includedir}/dbus-1.0/dbus/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Oct 01 2016 philippem <philippem> 1.2.4-3.mga6
+ Revision: 1058033
- fix build, don't rely on arch macro
- rework package to provide python egg

* Fri May 06 2016 luigiwalser <luigiwalser> 1.2.4-1.mga6
+ Revision: 1009933
- 1.2.4
- remove patches (fixed upstream)

* Thu Apr 28 2016 daviddavid <daviddavid> 1.2.0-15.mga6
+ Revision: 1007029
- use new python macros

* Fri Feb 12 2016 luigiwalser <luigiwalser> 1.2.0-14.mga6
+ Revision: 959308
- try to fix python3 linking error

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 1.2.0-13.mga6
+ Revision: 886704
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-12.mga5
+ Revision: 743829
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.0-11.mga5
+ Revision: 726077
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 1.2.0-10.mga5
+ Revision: 693733
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-9.mga5
+ Revision: 678687
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Sun Sep 14 2014 joequant <joequant> 1.2.0-8.mga5
+ Revision: 675215
- rebuild for dependencies

* Sat May 31 2014 pterjan <pterjan> 1.2.0-7.mga5
+ Revision: 629669
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.2.0-6.mga5
+ Revision: 628152
- Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 1.2.0-5.mga4
+ Revision: 528991
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 fwang <fwang> 1.2.0-4.mga4
+ Revision: 448480
- expand dbus version
- update pkgname for py3gi
- filter python-gi requires
- conver br into pkgconfig style

* Sun Jun 30 2013 fwang <fwang> 1.2.0-3.mga4
+ Revision: 448473
- link with python lib always
- add conflicts to ease upgrading

* Sat Jun 29 2013 philippem <philippem> 1.2.0-2.mga4
+ Revision: 448231
- add Python3

* Fri May 24 2013 luigiwalser <luigiwalser> 1.2.0-1.mga4
+ Revision: 426772
- 1.2.0

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 348649
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 luigiwalser <luigiwalser> 1.1.1-1.mga3
+ Revision: 342927
- BR dbus-x11 for make check
- 1.1.1
- bump dbus version requirement (upstream recommendation)
- remove ununsed and incorrect linkage patch
- add make check
- BR python-gobject3 for make check
- remove .la files

* Sun Jun 19 2011 kharec <kharec> 0.84.0-1.mga2
+ Revision: 109634
- new version 0.84.0
- update patch0 name

* Sun Jan 16 2011 misc <misc> 0.83.2-3.mga1
+ Revision: 20608
- rebuild for new python

* Thu Jan 13 2011 ahmad <ahmad> 0.83.2-2.mga1
+ Revision: 8551
- drop unused patch
- imported package dbus-python

